"use strict";
this.name        = "Dictators_Conditions";
this.author      = "phkb";
this.copyright   = "2016 phkb";
this.description = "Condition script for ships and equipment.";
this.licence     = "CC BY-NC-SA 3.0";

this.allowSpawnShip = function(shipKey) {
	if (worldScripts["dictators.js"]._shipSpawnOverride === true) return true;
	if (system.info.government !== 3) return false;
	switch (shipKey) {
		case "enforcer":
		case "guard":
		case "prison_ship":
			if (system.info.economy >= 4) return true;
			break;
		case "quaestor":
		case "censor":
			if (system.info.economy < 4) return true;
			break;
		case "lictor":
		case "astrofactory":
		case "tanker_1":
		case "tanker_2":
		case "tanker_3":
		case "tanker_4":
		case "tanker_5":
		case "tanker_6":
		case "freighter_1":
		case "freighter_2":
		case "freighter_3":
		case "freighter_4":
		case "freighter_5":
		case "freighter_6":
			return true;
			break;
	}
	return false;
}
